Subject: Re: [nvo3-dt-encap] Design Team Charter

From: Sam Aldrin <[email-masked]>
Date: Tue, 3 Jan 2017 11:27:06 -0800

Hi Pankaj,

As mentioned by Alia, backward compatibility is only a guidance and not a
mandatory requirement.
For that matter, none of the proposed encap is backward compatible with
VXLAN or likes.

cheers
sam

On Tue, Jan 3, 2017 at 8:45 AM, Alia Atlas <[email-masked]> wrote:

> Hi Pankaj,
>
> On Tue, Jan 3, 2017 at 11:08 AM, Pankaj Garg <[email-masked]> wrote:
>
>> Hi Matthew/Alia,
>>
>> I have a question on the design team charter. In the official
>> communication, you mention following:
>>
>> "The design team should take one of the proposed encapsulations and
>> enhance it to address the technical concerns. Backwards compatibility
>> with the chosen encapsulation and the simple evolution of deployed
>> networks as well as applicability to all locations in the NVO3
>> architecture are goals."
>>
>> However, when we discussed the charter earlier, I thought we agreed
>> that backward compatibility would be desirable but not a hard
>> requirement. The charter text makes it feel like backward
>> compatibility is a must. Could you please clarify?
>>
>
> I believe that backwards compatibility is a goal - but not a requirement.
> There
> are many competing goals for the design team to consider when making
> trade-offs
> as part of the design.
>
> Regards,
> Alia
>
>
>> Thanks
>> Pankaj (on behalf of NVO3 design team)
>>
>
>
> _______________________________________________
> nvo3-dt-encap mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3-dt-encap
>
>